program nadovezivanje;
var a,b,c,i: Longint;
var max: integer;
m: array[1..6] of Longint;
function DODAJ(x:Longint; y:Longint; z:Longint): Longint;
var T,i,p,l: Longint;
begin
        T:=0;
        p:=y;
        l:=z;
        while p>0 do
        begin
         p:=p div 10;
          T:=T+1;
        end;
        for i:=1 to T do
        x:=x*10;
        x:=x+y;
        T:=0;
        while l>0 do
        begin
                l:=l div 10;
                T:=T+1;
        end;
        for i:=1 to T do
        x:=x*10;
        x:=x+z;
        DODAJ:=x;
end;
begin
        read(a,b,c);
        m[1]:=DODAJ(a,b,c);
        m[2]:=DODAJ(a,c,b);
        m[3]:=DODAJ(b,a,c);
        m[4]:=DODAJ(b,c,a);
        m[5]:=DODAJ(c,b,a);
        m[6]:=DODAJ(c,a,b);
        max:=1;
        for i:=2 to 6 do
        if m[i]>m[max] then
                max:=i;
        write(m[max]);
end.